// SPDX-License-Identifier: Apache-2.0
import { Query } from "../../../../../../core/query/Query";
export class GetTokenHoldersAtSnapshotQueryResponse {
    payload;
    constructor(payload) {
        this.payload = payload;
    }
}
export class GetTokenHoldersAtSnapshotQuery extends Query {
    securityId;
    snapshotId;
    start;
    end;
    constructor(securityId, snapshotId, start, end) {
        super();
        this.securityId = securityId;
        this.snapshotId = snapshotId;
        this.start = start;
        this.end = end;
    }
}
